<div *ngIf="userLogedIn == undefined">
    <h2>Login</h2>
    <form [formGroup]="loginUserForm" class="form" (ngSubmit)="onSubmit()">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="input-group input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroup-sizing-sm">@</span>
                    </div>
                    <input formControlName="emailaddress" type="text" class="form-control" aria-label="email"
                        aria-describedby="inputGroup-sizing-sm" placeholder="Enter your email address" required />
                </div>
                <div
                    *ngIf="loginUserForm.controls['emailaddress'].invalid && (loginUserForm.controls['emailaddress'].dirty || loginUserForm.controls['emailaddress'].touched)">
                    <div class="alert alert-danger">
                        <div *ngIf="loginUserForm.controls['emailaddress'].invalid">
                            Email address field is required
                        </div>
                    </div>
                </div>
                <div class="input-group input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroup-sizing-sm">Password</span>
                    </div>
                    <input formControlName="password" type="password" class="form-control" aria-label="email"
                        aria-describedby="inputGroup-sizing-sm" placeholder="Enter your password" required />
                </div>
                <div
                    *ngIf="loginUserForm.controls['password'].invalid && (loginUserForm.controls['password'].dirty || loginUserForm.controls['password'].touched)">
                    <div class="alert alert-danger">
                        <div *ngIf="loginUserForm.controls['password'].invalid">
                            Password field is required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button type="submit" class="btn btn-primary" [disabled]="loginUserForm.invalid">Login</button>
    </form>
</div>
<div *ngIf="userLogedIn != undefined">
    <h3 class="card-text">Welcome {{ userLogedIn.firstname }}!</h3>
</div>
